dzsum1.f(3)

NAME
dzsum1.f -

SYNOPSIS

  Functions/Subroutines
DOUBLE PRECISION function dzsum1 (N, CX, INCX)
DZSUM1 forms the 1-norm of the complex vector using the true absolute value.

Function/Subroutine Documentation

  DOUBLE PRECISION function dzsum1 (integerN, complex*16, dimension( * )CX, integerINCX)

DZSUM1 forms the 1-norm of the complex vector using the true absolute value.

Purpose:

     DZSUM1 takes the sum of the absolute values of a complex
     vector and returns a double precision result.
     Based on DZASUM from the Level 1 BLAS.
     The change is to use the 'genuine' absolute value.

Parameters:
    N

              N is INTEGER
              The number of elements in the vector CX.

    CX

              CX is COMPLEX*16 array, dimension (N)
              The vector whose elements will be summed.

    INCX

              INCX is INTEGER
              The spacing between successive values of CX.  INCX > 0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Contributors:
    Nick Higham for use with ZLACON.

Definition at line 82 of file dzsum1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.